Package org.apache.tools.ant.taskdefs

# Class Zip.Duplicate

java.lang.Object
org.apache.tools.ant.types.EnumeratedAttribute
org.apache.tools.ant.taskdefs.Zip.Duplicate

Enclosing class:
  Zip

    public static class Zip.Duplicate
    extends EnumeratedAttribute

Possible behaviors when a duplicate file is added: "add", "preserve" or "fail"

## Field Summary

### Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute

`value`

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`Duplicate()` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`java.lang.String[]` | `getValues()` | This is the only method a subclass needs to implement.

### Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute

`containsValue, getIndex, getInstance, getValue, indexOfValue, setValue, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Duplicate

public Duplicate()

## Method Details

### getValues

public java.lang.String[] getValues()
Description copied from class: `EnumeratedAttribute`
This is the only method a subclass needs to implement.

Specified by:
  `getValues` in class `EnumeratedAttribute`
Returns:
  an array holding all possible values of the enumeration. The order of elements must be fixed so that `indexOfValue(String)` always return the same index for the same value.
See Also:
  `EnumeratedAttribute.getValues()`